DCMTK: DSRGraphicDataItem Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DSRGraphicDataItem Class Reference

Class for graphic data items. More...

## Public Member Functions
| DSRGraphicDataItem (const Float32 column=0, const Float32 row=0)
| (default) constructor
OFBool | isEqual (const DSRGraphicDataItem &item) const
| check whether items are "equal"
OFBool | isNotEqual (const DSRGraphicDataItem &item) const
| check whether items are "not equal"
OFBool | isLessThan (const DSRGraphicDataItem &item) const
| check whether this item is "less than" the given item
OFBool | isGreaterThan (const DSRGraphicDataItem &item) const
| check whether this item is "greater than" the given item

## Public Attributes
Float32 | Column
| column value (VR=FL)
Float32 | Row
| row value (VR=FL)

## Detailed Description

Class for graphic data items.

## Constructor & Destructor Documentation

## ◆ DSRGraphicDataItem()

DSRGraphicDataItem::DSRGraphicDataItem | ( | const Float32 | column = 0,
|  | const Float32 | row = 0 )
| inline

(default) constructor

Parameters

  column | optional column value
  row | optional row value

References Column, and Row.

Referenced by isEqual(), isGreaterThan(), isLessThan(), and isNotEqual().

## Member Function Documentation

## ◆ isEqual()

OFBool DSRGraphicDataItem::isEqual | ( | const DSRGraphicDataItem & | item | ) | const
| inline

check whether items are "equal"

Parameters

  item | item with which the (column,row) pair should be compared

Returns
  OFTrue if both pairs are equal, OFFalse otherwise

References DSRGraphicDataItem(), Column, and Row.

## ◆ isGreaterThan()

OFBool DSRGraphicDataItem::isGreaterThan | ( | const DSRGraphicDataItem & | item | ) | const
| inline

check whether this item is "greater than" the given item

Parameters

  item | item with which the (column,row) pair should be compared

Returns
  OFTrue if greater. Row takes precedence over column.

References DSRGraphicDataItem(), Column, and Row.

## ◆ isLessThan()

OFBool DSRGraphicDataItem::isLessThan | ( | const DSRGraphicDataItem & | item | ) | const
| inline

check whether this item is "less than" the given item

Parameters

  item | item with which the (column,row) pair should be compared

Returns
  OFTrue if smaller. Row takes precedence over column.

References DSRGraphicDataItem(), Column, and Row.

## ◆ isNotEqual()

OFBool DSRGraphicDataItem::isNotEqual | ( | const DSRGraphicDataItem & | item | ) | const
| inline

check whether items are "not equal"

Parameters

  item | item with which the (column,row) pair should be compared

Returns
  OFTrue if not equal, OFFalse if equal

References DSRGraphicDataItem(), Column, and Row.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrscogr.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1